<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Контейнер для представлений"
	description="Содержит представления различных графических компонентов."
	fileName="NPCFaceContainer.jar" className="org.mati.npc.faces.NPCFaceContainer"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>
	<Group>Банковские депозитарные ячейки</Group>
	<Group>Ночной депозитарий</Group>
	<Group>СКУД</Group>
	<Group>Система голосования</Group>
	<Group>Охранно-пожарная система</Group>
	<Group>Синхронизация, администрирование и авторизация</Group>
	<Group>Блиц-опрос</Group>
	<Group>Умный дом</Group>

	<!-- INLINKS -->
	<INLink name="InFaceContainer" description="Обратная связь с компонентами"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true" />
	<INLink name="InSensor"
		description="Входящая связь с сенсора, которая может управлять состоянием окна"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="true" />
	<INLink name="InReader"
		description="Связь с считывателем карт для авторизации по карте"
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="true" />
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>


	<!-- OUTLINKS -->
	<OUTLink name="OutFaceComponent" description="Связь с компонетом представления"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true" />
	<OUTLink name="OutReader" description="Связь со считывателем для авторизации по карте"
		interfaceName="org.mati.npc.components.interfaces.Reader" linksNumber="1"
		nullable="true" />
	<OUTLink name="OutGuardAccessPoint" description="Связь с компонетом точка доступа охраны"
		interfaceName="org.mati.npc.components.interfaces.SimpleGuardAccessPoint"
		linksNumber="1" nullable="true" />
	<OUTLink name="OutContourAccessPoint" description="Связь с компонетом точка доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="true" />
	<OUTLink name="OutLoggerHandler" description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" />

	<!-- ATTRIBUTES -->
	<Attribute name="AlwaysOnTop"
		description="Отображать поверх всех окон контейнер представлений"
		type="java.lang.Boolean" nullable="false" defaultValue="false">
	</Attribute>
	<!--
		<Attribute name="PasswordCheck" description="Выполнять авторизацию для
		входа в систему" type="java.lang.Boolean" nullable="true"
		defaultValue="false"> </Attribute>
	-->
	<Attribute name="BackgroundColor" description="Фон контейнера (RGB)"
		defaultValue="3829413"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="BackgroundBitmap"
		description="Относительный путь к растровой подложке для контейнера"
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="BackgroundBitmapOffsetX"
		description="Сдвиг по оси X растровой подложки на контейнере" type="java.lang.Integer"
		nullable="true">
	</Attribute>
	<Attribute name="BackgroundBitmapOffsetY"
		description="Сдвиг по оси Y растровой подложки на контейнере" type="java.lang.Integer"
		nullable="true">
	</Attribute>
	<Attribute name="SizeMethod"
		description="Тип установки размеров и позиции контейнера:
		На одном мониторе - укажите номер монитора с помощью свойства MultiscreenDeviceNumber;
		На все мониторы - разворачивает контейнер на все мониторы в системе
		Ручная настройка - укажите размеры контейнера вручную, используя свойства размеров и положения"
		type="java.util.List" nullable="false" defaultValue="На одном мониторе">
		<List value="На одном мониторе" />
		<List value="На все мониторы" />
		<List value="Ручная настройка" />
	</Attribute>
	<Attribute name="MultiscreenDeviceNumber"
		description="Номер монитора, на котором будет отображаться контейнер"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="1024">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота контейнера"
		type="java.lang.Integer" nullable="false" defaultValue="768">
	</Attribute>
	<Attribute name="PositionX" description="Положение контейнера по оси Х"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<Attribute name="PositionY" description="Положение контейнера по оси У"
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
</ClassComponent>
